netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
_slq_t Struct Reference

`#include <spotlight.h>`

## Data Fields
struct list_head | slq_list
slq_state_t | slq_state
AFPObj * | slq_obj
const struct vol * | slq_vol
char * | slq_scope
time_t | slq_time
uint64_t | slq_ctx1
uint64_t | slq_ctx2
sl_array_t * | slq_reqinfo
const char * | slq_qstring
uint64_t * | slq_cnids
size_t | slq_cnids_num
void * | slq_backend_private
bool | slq_allow_expr
uint64_t | slq_result_limit
struct sl_rslts * | query_results

## Detailed Description

Internal query data structure

## Field Documentation

## ◆ query_results

struct sl_rslts* _slq_t::query_results

query results

## ◆ slq_allow_expr

bool _slq_t::slq_allow_expr

Whether to allow expressions

## ◆ slq_backend_private

void* _slq_t::slq_backend_private

backend-private query state

## ◆ slq_cnids

uint64_t* _slq_t::slq_cnids

Pointer to array with CNIDs

## ◆ slq_cnids_num

size_t _slq_t::slq_cnids_num

Size of slq_cnids array

## ◆ slq_ctx1

uint64_t _slq_t::slq_ctx1

client context 1

## ◆ slq_ctx2

uint64_t _slq_t::slq_ctx2

client context 2

## ◆ slq_list

struct list_head _slq_t::slq_list

queries are stored in a list

## ◆ slq_obj

AFPObj* _slq_t::slq_obj

global AFPObj handle

## ◆ slq_qstring

const char* _slq_t::slq_qstring

the Spotlight query string

## ◆ slq_reqinfo

sl_array_t* _slq_t::slq_reqinfo

array with requested metadata

## ◆ slq_result_limit

uint64_t _slq_t::slq_result_limit

Whether to LIMIT SPARQL results

## ◆ slq_scope

char* _slq_t::slq_scope

search scope

## ◆ slq_state

slq_state_t _slq_t::slq_state

State

## ◆ slq_time

time_t _slq_t::slq_time

last client activity timestamp

## ◆ slq_vol

const struct vol* _slq_t::slq_vol

volume handle

The documentation for this struct was generated from the following file:

- spotlight.h